Bug 962695 - [abrt] gnome-abrt-0.2.10-1.fc18: module.py:115:__getattr__:AttributeError: 'gi.repository.Gtk' object has no attribute 'ApplicationWindow'
[abrt] gnome-abrt-0.2.10-1.fc18: module.py:115:__getattr__:AttributeError: 'g...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pygobject3 (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: John (J5) Palmieri
Fedora Extras Quality Assurance
abrt_hash:50c77b90981983fc4bae5e616b3...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-14 05:32 EDT by Ingo Weiss
Modified: 2014-02-05 16:21 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 16:21:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (852 bytes, text/plain)
2013-05-14 05:32 EDT, Ingo Weiss
no flags Details
File: core_backtrace (406 bytes, text/plain)
2013-05-14 05:32 EDT, Ingo Weiss
no flags Details
File: environ (2.42 KB, text/plain)
2013-05-14 05:32 EDT, Ingo Weiss
no flags Details
File: smolt_data (2.76 KB, text/plain)
2013-05-14 05:32 EDT, Ingo Weiss
no flags Details

  None (edit)
Description Ingo Weiss 2013-05-14 05:32:08 EDT
Version-Release number of selected component:
gnome-abrt-0.2.10-1.fc18

Additional info:
cmdline:        python /usr/bin/gnome-abrt
dso_list:       pygobject3-base-3.4.2-6.fc18.x86_64
executable:     /usr/bin/gnome-abrt
kernel:         3.8.11-200.fc18.x86_64
uid:            1000
ureports_counter: 1

Truncated backtrace:
module.py:115:__getattr__:AttributeError: 'gi.repository.Gtk' object has no attribute 'ApplicationWindow'

Traceback (most recent call last):
  File "/usr/bin/gnome-abrt", line 37, in <module>
    from gnome_abrt.views import OopsWindow
  File "/usr/lib64/python2.7/site-packages/gnome_abrt/views.py", line 96, in <module>
    class OopsWindow(Gtk.ApplicationWindow):
  File "/usr/lib64/python2.7/site-packages/gi/module.py", line 269, in __getattr__
    return getattr(self._introspection_module, name)
  File "/usr/lib64/python2.7/site-packages/gi/module.py", line 115, in __getattr__
    self.__name__, name))
AttributeError: 'gi.repository.Gtk' object has no attribute 'ApplicationWindow'

Local variables in innermost frame:
info: None
self: <IntrospectionModule 'Gtk' from '/usr/lib64/girepository-1.0/Gtk-2.0.typelib'>
name: 'ApplicationWindow'
Comment 1 Ingo Weiss 2013-05-14 05:32:10 EDT
Created attachment 747598 [details]
File: backtrace
Comment 2 Ingo Weiss 2013-05-14 05:32:12 EDT
Created attachment 747599 [details]
File: core_backtrace
Comment 3 Ingo Weiss 2013-05-14 05:32:14 EDT
Created attachment 747600 [details]
File: environ
Comment 4 Ingo Weiss 2013-05-14 05:32:16 EDT
Created attachment 747601 [details]
File: smolt_data
Comment 5 Jakub Filak 2013-05-23 04:50:48 EDT
Thank you for the report!


gnome-abrt has a dependency on Gtk3 but gi.repository loaded /usr/lib64/girepository-1.0/Gtk-2.0.typelib instead of /usr/lib64/girepository-1.0/Gtk-3.0.typelib. And GtkApplicationWindow is not a member of Gtk2. I cannot find any way to ensure that the correct version is loaded. Therefore, I would say that this is a bug in pygobject3.


$ rpm -qR gnome-abrt | grep gtk-3
libgtk-3.so.0()(64bit)

$ rpm -qf /usr/lib64/libgtk-3.so.0
gtk3-3.6.4-1.fc18.x86_64

$ rpm -ql gtk3-3.6.4-1.fc18.x86_64 | grep Gtk-3.0.typelib
/usr/lib64/girepository-1.0/Gtk-3.0.typelib
Comment 6 Fedora End Of Life 2013-12-21 08:31:46 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2014-02-05 16:21:37 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.